---
lang: en
title: 'API docs: metadata.namespacedreflect.metadata'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.metadata.namespacedreflect.metadata.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metadata](./metadata.md) &gt; [NamespacedReflect](./metadata.namespacedreflect.md) &gt; [metadata](./metadata.namespacedreflect.metadata.md)

## NamespacedReflect.metadata() method

<b>Signature:</b>

```typescript
metadata(metadataKey: string, metadataValue: any): {
        (target: Function): void;
        (target: Object, targetKey: string | symbol): void;
    };
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  metadataKey | <code>string</code> |  |
|  metadataValue | <code>any</code> |  |

<b>Returns:</b>

`{
        (target: Function): void;
        (target: Object, targetKey: string | symbol): void;
    }`


